Bug 909527 - SELinux is preventing /usr/lib/nspluginwrapper/plugin-config from 'write' accesses on the file /home/thedigiwiz/.config/cairo-dock/clock/tasks.ics.
Summary: SELinux is preventing /usr/lib/nspluginwrapper/plugin-config from 'write' acc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1bf7f19824efa167de47662d394...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-09 08:31 UTC by Leo Turner
Modified: 2013-05-04 00:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-04 00:04:22 UTC
Type: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2013-02-09 08:31 UTC, Leo Turner
no flags Details
File: hashmarkername (14 bytes, text/plain)
2013-02-09 08:31 UTC, Leo Turner
no flags Details

Description Leo Turner 2013-02-09 08:31:26 UTC
Additional info:
libreport version: 2.0.18
kernel:         3.7.3-101.fc17.i686

description:
:SELinux is preventing /usr/lib/nspluginwrapper/plugin-config from 'write' accesses on the file /home/thedigiwiz/.config/cairo-dock/clock/tasks.ics.
:
:*****  Plugin leaks (86.2 confidence) suggests  ******************************
:
:If you want to ignore plugin-config trying to write access the tasks.ics file, because you believe it should not need this access.
:Then you should report this as a bug.  
:You can generate a local policy module to dontaudit this access.
:Do
:# grep /usr/lib/nspluginwrapper/plugin-config /var/log/audit/audit.log | audit2allow -D -M mypol
:# semodule -i mypol.pp
:
:*****  Plugin catchall (14.7 confidence) suggests  ***************************
:
:If you believe that plugin-config should be allowed write access on the tasks.ics file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plugin-config /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_config_t:
:                              s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:config_home_t:s0
:Target Objects                /home/thedigiwiz/.config/cairo-
:                              dock/clock/tasks.ics [ file ]
:Source                        plugin-config
:Source Path                   /usr/lib/nspluginwrapper/plugin-config
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           nspluginwrapper-1.4.4-16.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-166.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.7.3-101.fc17.i686 #1 SMP Fri Jan
:                              18 17:52:48 UTC 2013 i686 i686
:Alert Count                   1
:First Seen                    2013-02-09 01:10:39 EST
:Last Seen                     2013-02-09 01:10:39 EST
:Local ID                      d5677227-76c7-47e7-ab4c-a42ef8635f9c
:
:Raw Audit Messages
:type=AVC msg=audit(1360390239.904:75): avc:  denied  { write } for  pid=2087 comm="plugin-config" path="/home/thedigiwiz/.config/cairo-dock/clock/tasks.ics" dev="dm-2" ino=15468688 scontext=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1360390239.904:75): arch=i386 syscall=execve success=yes exit=0 a0=8667258 a1=8667790 a2=8668488 a3=8667790 items=0 ppid=2085 pid=2087 auid=1000 uid=1000 gid=1000 euid=0 suid=0 fsuid=0 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=plugin-config exe=/usr/lib/nspluginwrapper/plugin-config subj=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 key=(null)
:
:Hash: plugin-config,mozilla_plugin_config_t,config_home_t,file,write
:
:audit2allow
:
:#============= mozilla_plugin_config_t ==============
:allow mozilla_plugin_config_t config_home_t:file write;
:
:audit2allow -R
:
:#============= mozilla_plugin_config_t ==============
:allow mozilla_plugin_config_t config_home_t:file write;
:

Comment 1 Leo Turner 2013-02-09 08:31:30 UTC
Created attachment 695370 [details]
File: type

Comment 2 Leo Turner 2013-02-09 08:31:32 UTC
Created attachment 695371 [details]
File: hashmarkername

Comment 3 Miroslav Grepl 2013-02-11 11:32:59 UTC
This is a leak file descriptor. Please execute

# grep /usr/lib/nspluginwrapper/plugin-config /var/log/audit/audit.log | audit2allow -D -M mypol
# semodule -i mypol.pp

Comment 4 Fedora Update System 2013-03-05 14:32:37 UTC
selinux-policy-3.10.0-168.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-168.fc17

Comment 5 Fedora Update System 2013-03-05 23:29:58 UTC
Package selinux-policy-3.10.0-168.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-168.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3466/selinux-policy-3.10.0-168.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-04-04 08:31:32 UTC
selinux-policy-3.10.0-169.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-169.fc17

Comment 7 Fedora Update System 2013-05-04 00:04:24 UTC
selinux-policy-3.10.0-169.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.